Bug 1500391 (CVE-2017-15274) - CVE-2017-15274 kernel: dereferencing NULL payload with nonzero length
Summary: CVE-2017-15274 kernel: dereferencing NULL payload with nonzero length
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-15274
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1502906 1502907 1502908 1502909 1502910 1502911 1502912 1574442 1695843 1695844
Blocks: 1500394
TreeView+ depends on / blocked
 
Reported: 2017-10-10 13:31 UTC by Adam Mariš
Modified: 2021-02-17 01:24 UTC (History)
47 users (show)

Fixed In Version: kernel 4.12
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the implementation of associative arrays where the add_key systemcall and KEYCTL_UPDATE operations allowed for a NULL payload with a nonzero length. When accessing the payload within this length parameters value, an unprivileged user could trivially cause a NULL pointer dereference (kernel oops).
Clone Of:
Environment:
Last Closed: 2019-07-30 13:18:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1946 0 None None None 2019-07-30 09:08:58 UTC

Description Adam Mariš 2017-10-10 13:31:18 UTC
A flaw was found in the linux kernels implementation of associative arrays.  The add_key systemcall and KEYCTL_UPDATE operations allowed for a NULL payload with a nonzero length.  When accessing the payload within this length parameters value, an unprivileged user could trivially cause a NULL pointer dereference (kernel oops).

Upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5649645d725c73df4302428ee4e02c869248b4c5

Comment 2 Wade Mealing 2017-10-17 05:13:34 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise
Linux 5,6,7, MRG-2 and realtime kernels.

Red Hat Enterprise Linux 5 has transitioned to Production phase 3.  
During the Production 3 Phase, Critical impact Security Advisories (RHSAs) 
and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released 
as they become available.

At this time this bug is not meet this critera and is unlikley to be fixed
for these releases.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

Future Linux kernel updates for the products in production phase 1 and 2, namely Red Hat Enterprise
Linux 6, 7 and MRG-2 may address this issue.

Comment 8 errata-xmlrpc 2019-07-30 09:08:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Extended Update Support

Via RHSA-2019:1946 https://access.redhat.com/errata/RHSA-2019:1946

Comment 9 Product Security DevOps Team 2019-07-30 13:18:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2017-15274


Note You need to log in before you can comment on or make changes to this bug.